## pep517 0.12.0

=== doc/requirements.txt ===
toml ; python_version<'3.6'
tomli ; python_version>='3.6'

## pep517 0.7.0

=== debian/changelog ===
pep517 (0.7.0-3) unstable; urgency=medium

  * Add python3-all to d/t/control so autopkgtest against all supported
    python3 versions will work

 -- Scott Kitterman <scott@kitterman.com>  Sat, 25 Jan 2020 21:06:22 -0500

pep517 (0.7.0-2) unstable; urgency=medium

  * Update debian/copyright based on FTP Master feedback
  * Fix too long line in extended description
  * Add description to no-flake8.patch

 -- Scott Kitterman <scott@kitterman.com>  Sat, 25 Jan 2020 14:59:53 -0500

pep517 (0.7.0-1) unstable; urgency=medium

  * Initial Debian package (Closes: #949784)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 24 Jan 2020 17:48:59 -0500

=== debian/control ===
Source: pep517
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
Vcs-Git: https://salsa.debian.org/python-team/modules/pep517.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pep517
Standards-Version: 4.5.0
Homepage: https://pypi.org/project/pep517

Package: python3-pep517
Architecture: all
Depends: python3-importlib-metadata,
         python3-toml,
         python3-zipp,
         ${misc:Depends},
         ${python3:Depends}
Description: Specifies a standard API for systems which build Python packages
 This package contains wrappers around the hooks specified by PEP 517. It
 provides:
 .
  - A mechanism to call the hooks in a subprocess, so they are isolated from
    the current process.
  - Fallbacks for the optional hooks, so that frontends can call the hooks
    without checking which are defined.
  - Higher-level functions which install the build dependencies into a
    temporary environment and build a wheel/sdist using them.
 .
 This is the Python 3 version of the package.

=== debian/tests/control ===
Tests: py3
Depends: @, python3-all, python3-importlib-metadata, python3-pip, python3-pytest, python3-setuptools, python3-testpath, python3-toml, python3-zipp,
Restrictions: allow-stderr

## pep517 0.8.2

=== debian/changelog ===
pep517 (0.8.2-1) unstable; urgency=medium

  * New upstream release
  * Add python3-mock to test depends

 -- Scott Kitterman <scott@kitterman.com>  Wed, 01 Apr 2020 17:38:29 -0400

pep517 (0.8.1-1) unstable; urgency=medium

  * New upstream release (Closes: #954256)
    - Refresh patches

 -- Scott Kitterman <scott@kitterman.com>  Fri, 27 Mar 2020 01:29:10 -0400

pep517 (0.7.0-4) unstable; urgency=medium

  * Patch setup.py to build with setuptools so there is enough metadata for
    dirtbike to build the wheel for pip

 -- Scott Kitterman <scott@kitterman.com>  Sun, 15 Mar 2020 00:35:57 -0400

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
+               python3-setuptools
 Vcs-Git: https://salsa.debian.org/python-team/modules/pep517.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/pep517
 Standards-Version: 4.5.0

=== debian/watch ===
version=3
https://pypi.debian.net/pep517/pep517-([0-9][0-9t\.\-]*).tar.gz

## pep517 0.9.1

=== debian/changelog ===
pep517 (0.9.1-1) unstable; urgency=medium

  * Team upload.
  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sergio Durigan Junior ]
  * New upstream version 0.9.1
  * d/control: Bump Standards-Version to 4.5.1.
  * d/control: Bump debhelper-compat to 13.
  * d/watch: Bump version to 4.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 05 Dec 2020 23:49:38 -0500

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: pep517
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools
-Vcs-Git: https://salsa.debian.org/python-team/modules/pep517.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pep517
-Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/python-team/packages/pep517.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pep517
+Standards-Version: 4.5.1
 Homepage: https://pypi.org/project/pep517
 
 Package: python3-pep517

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# Tests require network access

=== debian/tests/control ===
Tests: py3
Depends: @, python3-all, python3-importlib-metadata, python3-mock, python3-pip, python3-pytest, python3-setuptools, python3-testpath, python3-toml, python3-zipp,
Restrictions: allow-stderr

## pep517 0.12.0

=== debian/changelog ===
pep517 (0.12.0-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches
    - Switch binary depends from python3-toml to python3-tomli
  * Switch from setuptools to flit as build system
    - Update build-depends
    - Drop debian/patches/use_setuptools.patch
  * Bump standards-version to 4.6.0 without further change
  * Update Homepage field to point to GitHub vice PyPi
  * Update debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Mon, 29 Nov 2021 08:44:20 -0500

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Uploaders: Scott Kitterman <scott@kitterman.com>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               flit (>= 2),
                python3-all,
-               python3-setuptools
 Vcs-Git: https://salsa.debian.org/python-team/packages/pep517.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pep517
-Standards-Version: 4.5.1
-Homepage: https://pypi.org/project/pep517
+Standards-Version: 4.6.0
+Homepage: https://github.com/pypa/pep517
 
 Package: python3-pep517
 Architecture: all
 Depends: python3-importlib-metadata,
-         python3-toml,
+         python3-tomli,
          python3-zipp,
          ${misc:Depends},
          ${python3:Depends}

## pep517 0.13.0

=== debian/changelog ===
pep517 (0.13.0-2) unstable; urgency=medium

  * Add flit to autopkgtest depends

 -- Scott Kitterman <scott@kitterman.com>  Fri, 21 Oct 2022 08:32:07 -0400

pep517 (0.13.0-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches
  * Switch build to pybuild-plugin-pyproject from flit backend, because it's
    the future
  * Bump standards-version to 4.6.1 without further change

 -- Scott Kitterman <scott@kitterman.com>  Fri, 21 Oct 2022 00:21:48 -0400

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                flit (>= 2),
+               pybuild-plugin-pyproject,
                python3-all,
 Vcs-Git: https://salsa.debian.org/python-team/packages/pep517.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pep517
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/pypa/pep517
 
 Package: python3-pep517

=== debian/tests/control ===
Tests: py3
Depends: @, flit, python3-all, python3-importlib-metadata, python3-mock, python3-pip, python3-pytest, python3-setuptools, python3-testpath, python3-toml, python3-zipp,
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://pypi.debian.net/pep517/pep517-([0-9][0-9t\.\-]*).tar.gz
